Package org.apache.storm.generated

## Class OwnerResourceSummary

- java.lang.Object
- - org.apache.storm.generated.OwnerResourceSummary

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<OwnerResourceSummary>`, `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class OwnerResourceSummary
      extends Object
      implements org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>, Serializable, Cloneable, Comparable<OwnerResourceSummary>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OwnerResourceSummary._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<OwnerResourceSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OwnerResourceSummary()` |
    `OwnerResourceSummary​(String owner)` |
    `OwnerResourceSummary​(OwnerResourceSummary other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(OwnerResourceSummary other)` |
    `OwnerResourceSummary` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(OwnerResourceSummary that)` |
    `OwnerResourceSummary._Fields` | `fieldForId​(int fieldId)` |
    `double` | `get_assigned_off_heap_memory()` |
    `double` | `get_assigned_on_heap_memory()` |
    `double` | `get_cpu_guarantee()` |
    `double` | `get_cpu_guarantee_remaining()` |
    `double` | `get_cpu_usage()` |
    `int` | `get_isolated_node_guarantee()` |
    `double` | `get_memory_guarantee()` |
    `double` | `get_memory_guarantee_remaining()` |
    `double` | `get_memory_usage()` |
    `String` | `get_owner()` |
    `double` | `get_requested_cpu()` |
    `double` | `get_requested_off_heap_memory()` |
    `double` | `get_requested_on_heap_memory()` |
    `double` | `get_requested_total_memory()` |
    `int` | `get_total_executors()` |
    `int` | `get_total_tasks()` |
    `int` | `get_total_topologies()` |
    `int` | `get_total_workers()` |
    `Object` | `getFieldValue​(OwnerResourceSummary._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_assigned_off_heap_memory()` | Returns true if field assigned_off_heap_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_assigned_on_heap_memory()` | Returns true if field assigned_on_heap_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_cpu_guarantee()` | Returns true if field cpu_guarantee is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_cpu_guarantee_remaining()` | Returns true if field cpu_guarantee_remaining is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_cpu_usage()` | Returns true if field cpu_usage is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_isolated_node_guarantee()` | Returns true if field isolated_node_guarantee is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_memory_guarantee()` | Returns true if field memory_guarantee is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_memory_guarantee_remaining()` | Returns true if field memory_guarantee_remaining is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_memory_usage()` | Returns true if field memory_usage is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_owner()` | Returns true if field owner is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_requested_cpu()` | Returns true if field requested_cpu is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_requested_off_heap_memory()` | Returns true if field requested_off_heap_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_requested_on_heap_memory()` | Returns true if field requested_on_heap_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_requested_total_memory()` | Returns true if field requested_total_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_executors()` | Returns true if field total_executors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_tasks()` | Returns true if field total_tasks is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_topologies()` | Returns true if field total_topologies is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_workers()` | Returns true if field total_workers is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(OwnerResourceSummary._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_assigned_off_heap_memory​(double assigned_off_heap_memory)` |
    `void` | `set_assigned_off_heap_memory_isSet​(boolean value)` |
    `void` | `set_assigned_on_heap_memory​(double assigned_on_heap_memory)` |
    `void` | `set_assigned_on_heap_memory_isSet​(boolean value)` |
    `void` | `set_cpu_guarantee​(double cpu_guarantee)` |
    `void` | `set_cpu_guarantee_isSet​(boolean value)` |
    `void` | `set_cpu_guarantee_remaining​(double cpu_guarantee_remaining)` |
    `void` | `set_cpu_guarantee_remaining_isSet​(boolean value)` |
    `void` | `set_cpu_usage​(double cpu_usage)` |
    `void` | `set_cpu_usage_isSet​(boolean value)` |
    `void` | `set_isolated_node_guarantee​(int isolated_node_guarantee)` |
    `void` | `set_isolated_node_guarantee_isSet​(boolean value)` |
    `void` | `set_memory_guarantee​(double memory_guarantee)` |
    `void` | `set_memory_guarantee_isSet​(boolean value)` |
    `void` | `set_memory_guarantee_remaining​(double memory_guarantee_remaining)` |
    `void` | `set_memory_guarantee_remaining_isSet​(boolean value)` |
    `void` | `set_memory_usage​(double memory_usage)` |
    `void` | `set_memory_usage_isSet​(boolean value)` |
    `void` | `set_owner​(String owner)` |
    `void` | `set_owner_isSet​(boolean value)` |
    `void` | `set_requested_cpu​(double requested_cpu)` |
    `void` | `set_requested_cpu_isSet​(boolean value)` |
    `void` | `set_requested_off_heap_memory​(double requested_off_heap_memory)` |
    `void` | `set_requested_off_heap_memory_isSet​(boolean value)` |
    `void` | `set_requested_on_heap_memory​(double requested_on_heap_memory)` |
    `void` | `set_requested_on_heap_memory_isSet​(boolean value)` |
    `void` | `set_requested_total_memory​(double requested_total_memory)` |
    `void` | `set_requested_total_memory_isSet​(boolean value)` |
    `void` | `set_total_executors​(int total_executors)` |
    `void` | `set_total_executors_isSet​(boolean value)` |
    `void` | `set_total_tasks​(int total_tasks)` |
    `void` | `set_total_tasks_isSet​(boolean value)` |
    `void` | `set_total_topologies​(int total_topologies)` |
    `void` | `set_total_topologies_isSet​(boolean value)` |
    `void` | `set_total_workers​(int total_workers)` |
    `void` | `set_total_workers_isSet​(boolean value)` |
    `void` | `setFieldValue​(OwnerResourceSummary._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_assigned_off_heap_memory()` |
    `void` | `unset_assigned_on_heap_memory()` |
    `void` | `unset_cpu_guarantee()` |
    `void` | `unset_cpu_guarantee_remaining()` |
    `void` | `unset_cpu_usage()` |
    `void` | `unset_isolated_node_guarantee()` |
    `void` | `unset_memory_guarantee()` |
    `void` | `unset_memory_guarantee_remaining()` |
    `void` | `unset_memory_usage()` |
    `void` | `unset_owner()` |
    `void` | `unset_requested_cpu()` |
    `void` | `unset_requested_off_heap_memory()` |
    `void` | `unset_requested_on_heap_memory()` |
    `void` | `unset_requested_total_memory()` |
    `void` | `unset_total_executors()` |
    `void` | `unset_total_tasks()` |
    `void` | `unset_total_topologies()` |
    `void` | `unset_total_workers()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<OwnerResourceSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### OwnerResourceSummary

          public OwnerResourceSummary()

    - #### OwnerResourceSummary

          public OwnerResourceSummary​(String owner)

    - #### OwnerResourceSummary

          public OwnerResourceSummary​(OwnerResourceSummary other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public OwnerResourceSummary deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### get_owner

          public String get_owner()

    - #### set_owner

          public void set_owner​(String owner)

    - #### unset_owner

          public void unset_owner()

    - #### is_set_owner

          public boolean is_set_owner()

      Returns true if field owner is set (has been assigned a value) and false otherwise

    - #### set_owner_isSet

          public void set_owner_isSet​(boolean value)

    - #### get_total_topologies

          public int get_total_topologies()

    - #### set_total_topologies

          public void set_total_topologies​(int total_topologies)

    - #### unset_total_topologies

          public void unset_total_topologies()

    - #### is_set_total_topologies

          public boolean is_set_total_topologies()

      Returns true if field total_topologies is set (has been assigned a value) and false otherwise

    - #### set_total_topologies_isSet

          public void set_total_topologies_isSet​(boolean value)

    - #### get_total_executors

          public int get_total_executors()

    - #### set_total_executors

          public void set_total_executors​(int total_executors)

    - #### unset_total_executors

          public void unset_total_executors()

    - #### is_set_total_executors

          public boolean is_set_total_executors()

      Returns true if field total_executors is set (has been assigned a value) and false otherwise

    - #### set_total_executors_isSet

          public void set_total_executors_isSet​(boolean value)

    - #### get_total_workers

          public int get_total_workers()

    - #### set_total_workers

          public void set_total_workers​(int total_workers)

    - #### unset_total_workers

          public void unset_total_workers()

    - #### is_set_total_workers

          public boolean is_set_total_workers()

      Returns true if field total_workers is set (has been assigned a value) and false otherwise

    - #### set_total_workers_isSet

          public void set_total_workers_isSet​(boolean value)

    - #### get_memory_usage

          public double get_memory_usage()

    - #### set_memory_usage

          public void set_memory_usage​(double memory_usage)

    - #### unset_memory_usage

          public void unset_memory_usage()

    - #### is_set_memory_usage

          public boolean is_set_memory_usage()

      Returns true if field memory_usage is set (has been assigned a value) and false otherwise

    - #### set_memory_usage_isSet

          public void set_memory_usage_isSet​(boolean value)

    - #### get_cpu_usage

          public double get_cpu_usage()

    - #### set_cpu_usage

          public void set_cpu_usage​(double cpu_usage)

    - #### unset_cpu_usage

          public void unset_cpu_usage()

    - #### is_set_cpu_usage

          public boolean is_set_cpu_usage()

      Returns true if field cpu_usage is set (has been assigned a value) and false otherwise

    - #### set_cpu_usage_isSet

          public void set_cpu_usage_isSet​(boolean value)

    - #### get_memory_guarantee

          public double get_memory_guarantee()

    - #### set_memory_guarantee

          public void set_memory_guarantee​(double memory_guarantee)

    - #### unset_memory_guarantee

          public void unset_memory_guarantee()

    - #### is_set_memory_guarantee

          public boolean is_set_memory_guarantee()

      Returns true if field memory_guarantee is set (has been assigned a value) and false otherwise

    - #### set_memory_guarantee_isSet

          public void set_memory_guarantee_isSet​(boolean value)

    - #### get_cpu_guarantee

          public double get_cpu_guarantee()

    - #### set_cpu_guarantee

          public void set_cpu_guarantee​(double cpu_guarantee)

    - #### unset_cpu_guarantee

          public void unset_cpu_guarantee()

    - #### is_set_cpu_guarantee

          public boolean is_set_cpu_guarantee()

      Returns true if field cpu_guarantee is set (has been assigned a value) and false otherwise

    - #### set_cpu_guarantee_isSet

          public void set_cpu_guarantee_isSet​(boolean value)

    - #### get_memory_guarantee_remaining

          public double get_memory_guarantee_remaining()

    - #### set_memory_guarantee_remaining

          public void set_memory_guarantee_remaining​(double memory_guarantee_remaining)

    - #### unset_memory_guarantee_remaining

          public void unset_memory_guarantee_remaining()

    - #### is_set_memory_guarantee_remaining

          public boolean is_set_memory_guarantee_remaining()

      Returns true if field memory_guarantee_remaining is set (has been assigned a value) and false otherwise

    - #### set_memory_guarantee_remaining_isSet

          public void set_memory_guarantee_remaining_isSet​(boolean value)

    - #### get_cpu_guarantee_remaining

          public double get_cpu_guarantee_remaining()

    - #### set_cpu_guarantee_remaining

          public void set_cpu_guarantee_remaining​(double cpu_guarantee_remaining)

    - #### unset_cpu_guarantee_remaining

          public void unset_cpu_guarantee_remaining()

    - #### is_set_cpu_guarantee_remaining

          public boolean is_set_cpu_guarantee_remaining()

      Returns true if field cpu_guarantee_remaining is set (has been assigned a value) and false otherwise

    - #### set_cpu_guarantee_remaining_isSet

          public void set_cpu_guarantee_remaining_isSet​(boolean value)

    - #### get_isolated_node_guarantee

          public int get_isolated_node_guarantee()

    - #### set_isolated_node_guarantee

          public void set_isolated_node_guarantee​(int isolated_node_guarantee)

    - #### unset_isolated_node_guarantee

          public void unset_isolated_node_guarantee()

    - #### is_set_isolated_node_guarantee

          public boolean is_set_isolated_node_guarantee()

      Returns true if field isolated_node_guarantee is set (has been assigned a value) and false otherwise

    - #### set_isolated_node_guarantee_isSet

          public void set_isolated_node_guarantee_isSet​(boolean value)

    - #### get_total_tasks

          public int get_total_tasks()

    - #### set_total_tasks

          public void set_total_tasks​(int total_tasks)

    - #### unset_total_tasks

          public void unset_total_tasks()

    - #### is_set_total_tasks

          public boolean is_set_total_tasks()

      Returns true if field total_tasks is set (has been assigned a value) and false otherwise

    - #### set_total_tasks_isSet

          public void set_total_tasks_isSet​(boolean value)

    - #### get_requested_on_heap_memory

          public double get_requested_on_heap_memory()

    - #### set_requested_on_heap_memory

          public void set_requested_on_heap_memory​(double requested_on_heap_memory)

    - #### unset_requested_on_heap_memory

          public void unset_requested_on_heap_memory()

    - #### is_set_requested_on_heap_memory

          public boolean is_set_requested_on_heap_memory()

      Returns true if field requested_on_heap_memory is set (has been assigned a value) and false otherwise

    - #### set_requested_on_heap_memory_isSet

          public void set_requested_on_heap_memory_isSet​(boolean value)

    - #### get_requested_off_heap_memory

          public double get_requested_off_heap_memory()

    - #### set_requested_off_heap_memory

          public void set_requested_off_heap_memory​(double requested_off_heap_memory)

    - #### unset_requested_off_heap_memory

          public void unset_requested_off_heap_memory()

    - #### is_set_requested_off_heap_memory

          public boolean is_set_requested_off_heap_memory()

      Returns true if field requested_off_heap_memory is set (has been assigned a value) and false otherwise

    - #### set_requested_off_heap_memory_isSet

          public void set_requested_off_heap_memory_isSet​(boolean value)

    - #### get_requested_total_memory

          public double get_requested_total_memory()

    - #### set_requested_total_memory

          public void set_requested_total_memory​(double requested_total_memory)

    - #### unset_requested_total_memory

          public void unset_requested_total_memory()

    - #### is_set_requested_total_memory

          public boolean is_set_requested_total_memory()

      Returns true if field requested_total_memory is set (has been assigned a value) and false otherwise

    - #### set_requested_total_memory_isSet

          public void set_requested_total_memory_isSet​(boolean value)

    - #### get_requested_cpu

          public double get_requested_cpu()

    - #### set_requested_cpu

          public void set_requested_cpu​(double requested_cpu)

    - #### unset_requested_cpu

          public void unset_requested_cpu()

    - #### is_set_requested_cpu

          public boolean is_set_requested_cpu()

      Returns true if field requested_cpu is set (has been assigned a value) and false otherwise

    - #### set_requested_cpu_isSet

          public void set_requested_cpu_isSet​(boolean value)

    - #### get_assigned_on_heap_memory

          public double get_assigned_on_heap_memory()

    - #### set_assigned_on_heap_memory

          public void set_assigned_on_heap_memory​(double assigned_on_heap_memory)

    - #### unset_assigned_on_heap_memory

          public void unset_assigned_on_heap_memory()

    - #### is_set_assigned_on_heap_memory

          public boolean is_set_assigned_on_heap_memory()

      Returns true if field assigned_on_heap_memory is set (has been assigned a value) and false otherwise

    - #### set_assigned_on_heap_memory_isSet

          public void set_assigned_on_heap_memory_isSet​(boolean value)

    - #### get_assigned_off_heap_memory

          public double get_assigned_off_heap_memory()

    - #### set_assigned_off_heap_memory

          public void set_assigned_off_heap_memory​(double assigned_off_heap_memory)

    - #### unset_assigned_off_heap_memory

          public void unset_assigned_off_heap_memory()

    - #### is_set_assigned_off_heap_memory

          public boolean is_set_assigned_off_heap_memory()

      Returns true if field assigned_off_heap_memory is set (has been assigned a value) and false otherwise

    - #### set_assigned_off_heap_memory_isSet

          public void set_assigned_off_heap_memory_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(OwnerResourceSummary._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(OwnerResourceSummary._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### isSet

          public boolean isSet​(OwnerResourceSummary._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(OwnerResourceSummary that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(OwnerResourceSummary other)

      Specified by:
        `compareTo` in interface `Comparable<OwnerResourceSummary>`

    - #### fieldForId

          public OwnerResourceSummary._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<OwnerResourceSummary,​OwnerResourceSummary._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`